# use appimage

%define __os_install_post %{nil}

Name:	standard-notes
Version:	3.150.21
Release:	%mkrel 1
License:	GPLv3
Group:	Office
Summary:	Standard Notes is an end-to-end encrypted note-taking app
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Standard Notes is an end-to-end encrypted note-taking app for digitalists and professionals. Capture your notes, files, and life’s work all in one secure place.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/standardnotes/app/releases/download/@standardnotes/desktop@3.150.21/standard-notes-3.150.21-linux-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/standard-notes-%{version}-linux-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat Mar 11 2023 tex - 3.150.21-1pclos2023
- create pkg
